=== cegui/src/WindowRendererSets/CMakeLists.txt ===
add_subdirectory(Core)
