=== debian/changelog ===
cegui-mk2 (0.8.7-4) unstable; urgency=medium

  * Build extensions for only the default python version (Closes: #943611)
  * Remove python 2 package (Closes: #936279)
  * Update to compatibility level 12 and remove d/compat file
  * Update standards to 4.4.1 (no changes)
  * Specify Rules-Requires-Root: no
  * Fix python dependency scheme
  * Add d/symbols file

 -- Olek Wojnar <olekw.dev@gmail.com>  Sun, 08 Dec 2019 20:24:25 -0500

cegui-mk2 (0.8.7-3) unstable; urgency=medium

  * Update d/copyright:
    - Use secure URLs
    - Add myself to debian/*
    - Update debian/* copyright dates
    - Consolidate license information
    - Clarify an unnamed license as BSD-3-clause (char-for-char match)
  * Update d/control:
    - Move package maintenance under Debian Games Team
    - Add myself as secondary uploader
    - Update build-depend from pyside-tools to pyside2-tools (Closes: #910679)
    - Update VCS URLs
    - Update standards to 4.3.0 (no changes)
    - Add missing depends for -doc package (Closes: #924190)
    - Remove unnecessary build-depend on libdirectfb-dev (Closes: #855515)
    - Mark -doc package as Multi-Arch foreign, mark lib and -dev as MA same
  * Update d/rules:
    - Add fixfilepath to DEB_BUILD_MAINT_OPTIONS for build reproducibility
    - Use jdupes to replace duplicate documentation files with softlinks
  * Update d/debian/patches/xerces32_changes:
    - Add missing DEP 3 info
    - Add missing blank line at EOF
  * Update to compatibility level 11:
    - Update d/compat to 11
    - Update d/control build-deps: debhelper to >= 11 and remove dh-autoreconf
  * Add d/upstream/metadata: for DEP 12 compliance
  * Move from CDBS to debhelper:
    - Update d/control and d/rules
    - Remove unnecessary d/dirs files
    - Update d/install files
    - Update doxygenout patch
  * Enable support for both python2 and python3 (Closes: #739074):
    -- Update d/control, d/rules, and d/*libcegui-mk2-0.8.7.install
    -- Add d/patches/python3.patch
    -- Add python- and python3- .install files
  * Convert to automatic debug package: update d/control and d/rules
  * Remove obsolete patches
  * Create manpages and separate package for two bundled binaries
  * Move library data from -doc package to new -data and fonts- packages
  * Add lintian override for package-name-doesnt-match-sonames
  * Add d/patches/mizufalp.patch: Eliminate code references to removed font
  * Add d/patches/multi-arch.patch: Add support for Multi-Arch to CMake
  * Add d/relative_paths.patch: Remove absolute build path directory
  * Add d/jura_fonts.patch: Update references to changed Jura font
  * Add d/futhark_font.patch: Update code due to removal of space in filename

 -- Olek Wojnar <olekw.dev@gmail.com>  Tue, 02 Apr 2019 19:54:03 -0400

cegui-mk2 (0.8.7-2) unstable; urgency=medium

  * This upload fixes FTBFS caused by xerces-c3.2. Thanks to  William Blough
    for providing a patch (Closes: #881018).

 -- Muammar El Khatib <muammar@debian.org>  Thu, 16 Nov 2017 21:43:47 -0500

cegui-mk2 (0.8.7-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Install required libs in main package, not in dev package (Closes: #833705)
  * Add patch to allow compiling on kFreeBSD

 -- Olek Wojnar <olek-dev@wojnar.org>  Sun, 21 Aug 2016 11:48:42 -0400

cegui-mk2 (0.8.7-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Frédéric Bonnard ]
  * Run autoreconf during the build.  Closes: #758528

  [ Mattia Rizzolo ]
  * Build depend on unversioned boost.  Closes: #833797

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Aug 2016 21:33:21 +0000

cegui-mk2 (0.8.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to GLFW 3. (Closes: #826287)

 -- James Cowgill <jcowgill@debian.org>  Sat, 02 Jul 2016 22:22:02 +0200

cegui-mk2 (0.8.7-1) unstable; urgency=medium

  [ Muammar El Khatib ]
  * New upstream release.
  *  debian/control:
     + Build-depends on: libice-dev, libsm-dev, libirrlicht-dev.
     + libcegui-mk2-dev depends on libpng-dev instead of libpng16-dev
     | libpng-dev. Thanks to Gianfranco Costamagna for reporting this bug
     (Closes: #820307).

 -- Muammar El Khatib <muammar@debian.org>  Sat, 30 Apr 2016 17:18:49 +0200

cegui-mk2 (0.8.5-1) unstable; urgency=medium

  [ Muammar El Khatib ]
  * New upstream release.
  * debian/compat: bump to compat level 9.

 -- Muammar El Khatib <muammar@debian.org>  Tue, 29 Mar 2016 18:13:38 +0200

cegui-mk2 (0.8.4+dfsg-5) unstable; urgency=medium

  [ Muammar El Khatib ]
  * -DCEGUI_BUILD_RENDERER_OPENGL3=ON option is passed to build the package.
  * debian/control:
    + Build-depends on: mesa-utils-extra, libglapi-mesa, python-opengl,
    pyside-tools, libboost-python-dev.

 -- Muammar El Khatib <muammar@debian.org>  Mon, 28 Mar 2016 22:40:34 +0200
