=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_LDFLAGS_MAINT_APPEND = -llua5.1 -ldl
export DEB_BUILD_MAINT_OPTIONS = hardening=+all, reproducible=+fixfilepath

export AUTOMAKE = automake --foreign

%:
	dh $@ --with python3

override_dh_auto_configure:
		dh_auto_configure -- -DCEGUI_BUILD_RENDERER_DIRECTFB=OFF \
			-DCEGUI_SAMPLES_USE_DIRECTFB=OFF -DCEGUI_BUILD_RENDERER_OPENGL=ON \
			-DCEGUI_SAMPLES_USE_OGRE=ON -DCEGUI_BUILD_XMLPARSER_EXPAT=ON \
			-DCEGUI_BUILD_IMAGECODEC_SILLY=ON -DCEGUI_BUILD_IMAGECODEC_DEVIL=ON \
			-DCEGUI_BUILD_IMAGECODEC_FREEIMAGE=ON -DCEGUI_BUILD_RENDERER_NULL=ON \
			-DCEGUI_BUILD_PYTHON_MODULES=ON -DCEGUI_BUILD_XMLPARSER_TINYXML=ON \
			-DCEGUI_BUILD_XMLPARSER_XERCES=ON -DCEGUI_BUILD_RENDERER_OPENGL3=ON
		mv "datafiles/fonts/Futhark Adapted.ttf" datafiles/fonts/FutharkAdapted.ttf
		rm datafiles/fonts/Jura-*.ttf

override_dh_python3:
		dh_python3 --shebang=/usr/bin/python3

override_dh_strip:
		dh_strip --dbgsym-migration='libcegui-mk2-0.8.7-dbg (<< 0.8.7-3~)'

override_dh_auto_install:
		dh_auto_install
		jdupes -rl debian/tmp/usr/share/doc/libcegui-mk2-0.8.7/html
